Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.proxy
Class AbstractSamplerCreator

    java.lang.Object
      org.apache.jmeter.protocol.http.proxy.AbstractSamplerCreator

All Implemented Interfaces:
  SamplerCreator

Direct Known Subclasses:
  DefaultSamplerCreator

    public abstract class AbstractSamplerCreator

extends Object
implements SamplerCreator

Base class for SamplerCreator

Field Summary
`protected static String` | `HTTP`
`protected static String` | `HTTPS`

Constructor Summary
`AbstractSamplerCreator()`

Method Summary
`protected String` | `getBinaryDirectory()`
`protected String` | `getBinaryFileSuffix()`
`protected static int` | `getRequestNumber()`
`protected static void` | `incrementRequestNumber()` Increment request number
`protected boolean` | `isBinaryContent(String contentType)`
`protected static boolean` | `isNumberRequests()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.protocol.http.proxy.SamplerCreator
`createSampler, getManagedContentTypes, populateSampler`

Field Detail

### HTTP

    protected static final String HTTP

See Also:
  Constant Field Values

### HTTPS

    protected static final String HTTPS

See Also:
  Constant Field Values

Constructor Detail

### AbstractSamplerCreator

    public AbstractSamplerCreator()

Method Detail

### getRequestNumber

    protected static int getRequestNumber()

  Returns:
    int request number

### incrementRequestNumber

    protected static void incrementRequestNumber()

  Increment request number

### isNumberRequests

    protected static boolean isNumberRequests()

  Returns:
    boolean is numbering requests is required

### isBinaryContent

    protected boolean isBinaryContent(String contentType)

  Parameters:
    `contentType` - String content type
  Returns:
    true if contentType is part of binary declared types

### getBinaryFileSuffix

    protected String getBinaryFileSuffix()

  Returns:
    String binary file suffix

### getBinaryDirectory

    protected String getBinaryDirectory()

  Returns:
    String binary directory

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.